Delete Asset
DELETE /api/v1/assets/{id}
DELETE
/api/v1/assets/{id}
Delete an asset from the portfolio
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
Asset ID (UUID)
string format: uuid
Responses
Section titled “ Responses ”Asset deleted
object
success
required
boolean
message
required
Confirmation message
string
Example
Asset deleted successfullyUnauthorized
object
success
required
Always false for error responses
boolean
error
required
Error type
string
Example
Validation error code
Machine-readable error code
string
Example
VALIDATION_ERROR details
Detailed validation errors
Array<object>
object
path
required
Path to the invalid field
string
Example
currentAge message
required
Error message
string
Example
Must be between 18 and 100Asset not found
object
success
required
Always false for error responses
boolean
error
required
Error type
string
Example
Validation error code
Machine-readable error code
string
Example
VALIDATION_ERROR details
Detailed validation errors
Array<object>
object
path
required
Path to the invalid field
string
Example
currentAge message
required
Error message
string
Example
Must be between 18 and 100